%define _disable_ld_no_undefined 1
%define Werror_cflags %nil

Name:           shotwell
Version:        0.27.2
Release:        %mkrel 2
Summary:        A photo organizer for the GNOME desktop
Group:          Graphics
License:        LGPLv2+ and CC-BY-SA
URL:            http://www.yorba.org/shotwell/
Source0:        https://download.gnome.org/sources/shotwell/0.27/shotwell-%{version}.tar.xz
BuildRequires: %{_lib}gee-devel
BuildRequires: %{_lib}xkbcommon-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}exiv2-devel
BuildRequires: %{_lib}gexiv2-devel
BuildRequires: %{_lib}epoxy-devel
BuildRequires: %{_lib}atspi-devel
BuildRequires: %{_lib}gudev1.0-devel
BuildRequires: %{_lib}lcms2-devel
BuildRequires: %{_lib}exif12-devel
BuildRequires: %{_lib}ltdl-devel
BuildRequires: %{_lib}gphoto-devel
BuildRequires: %{_lib}hyphen-devel
BuildRequires: %{_lib}secret-devel
BuildRequires: %{_lib}json-glib-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}soup-devel
BuildRequires: %{_lib}enchant-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}nss-devel
BuildRequires: %{_lib}sasl2-devel
BuildRequires: %{_lib}gcr-devel
BuildRequires: %{_lib}nspr-devel
BuildRequires: %{_lib}gdata-devel
BuildRequires: %{_lib}ssh2-devel
BuildRequires: %{_lib}oauth-devel
BuildRequires: %{_lib}ldap2.4_2-devel
BuildRequires: %{_lib}vala-devel
BuildRequires: LibRaw-devel
BuildRequires: webkitgtk2-devel
BuildRequires: at-spi2-atk-devel
BuildRequires: appstream-glib-devel
# Needed by the publishing plugins
BuildRequires: librest-devel >= 0.7
BuildRequires: libtool
BuildRequires: itstool
BuildRequires: gnome-common

%description
Shotwell is an easy-to-use, fast photo organizer designed for the GNOME
desktop.  It allows you to import photos from your camera or disk, organize
them by date and subject matter, even ratings.  It also offers basic photo
editing, like crop, red-eye correction, color adjustments, and straighten.
Shotwell's non-destructive photo editor does not alter your master photos,
making it easy to experiment and correct errors.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-schemas-compile \
	--disable-desktop-update \
	--disable-icon-update

#sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
#sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
rm -rf %buildroot

# gettext always returns English text regardless of LANGUAGE asked
export LANG=en_US.utf8
make install DESTDIR=$RPM_BUILD_ROOT

# Remove libtool .la files
find %{buildroot} -name '*.la' -delete

#remove unused development files
rm -f %buildroot/%{_libdir}/libshotwell-*.so

%find_lang %{name} --with-gnome

%post
/sbin/ldconfig
update-desktop-database &>/dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor &>/dev/null || :
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%doc README NEWS THANKS AUTHORS COPYING
%{_bindir}/%{name}
%{_libdir}/shotwell
%{_libdir}/libshotwell-*.so.*
%{_libexecdir}/%{name}/*
%{_mandir}/man1/*
%{_datadir}/help
%{_datadir}/appdata/shotwell.appdata.xml
%{_datadir}/applications/shotwell-viewer.desktop
%{_datadir}/applications/shotwell.desktop
%{_datadir}/glib-2.0/schemas/org.yorba.shotwell-extras.gschema.xml
%{_datadir}/glib-2.0/schemas/org.yorba.shotwell.gschema.xml
%{_datadir}/icons/hicolor/*/apps/shotwell.png
%{_datadir}/icons/hicolor/symbolic/apps/shotwell-symbolic.svg
   
  
%changelog
* Thu Dec 21 2017 bb2 <bb2> - 0.27.2-2pclos2017
- clean up specfile a little

* Tue Dec 19 2017 Zen Subz <techars21 at gmail dot com> - 0.27.2-1pclos2017
- Update to latest release

* Thu Dec 22 2016 bb <bb> 0.24.3-1pclos2017
- update

* Thu May 26 2016 bb <bb> 0.23.1-1pclos2016
- update
